tigase.jaxmpp.core.client.xmpp.modules

## Class StreamFeaturesModule.StreamFeaturesReceivedHandler.StreamFeaturesReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<StreamFeaturesModule.StreamFeaturesReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.StreamFeaturesModule.StreamFeaturesReceivedHandler.StreamFeaturesReceivedEvent

- Enclosing interface:
    StreamFeaturesModule.StreamFeaturesReceivedHandler

      public static class StreamFeaturesModule.StreamFeaturesReceivedHandler.StreamFeaturesReceivedEvent
      extends JaxmppEvent<StreamFeaturesModule.StreamFeaturesReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamFeaturesReceivedEvent(SessionObject sessionObject, Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(StreamFeaturesModule.StreamFeaturesReceivedHandler handler)` Invokes handlers method.
    `Element` | `getFeaturesElement()`
    `void` | `setFeaturesElement(Element featuresElement)`
    `String` | `toString()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamFeaturesReceivedEvent

          public StreamFeaturesReceivedEvent(SessionObject sessionObject,
                                             Element element)

  - ### Method Detail

    - #### dispatch

          public void dispatch(StreamFeaturesModule.StreamFeaturesReceivedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<StreamFeaturesModule.StreamFeaturesReceivedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getFeaturesElement

          public Element getFeaturesElement()

    - #### setFeaturesElement

          public void setFeaturesElement(Element featuresElement)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2022 Tigase. All rights reserved.